GDNSD-PLUGIN-HTTP_STATUS(8)

NAME
gdnsd-plugin-http_status - gdnsd HTTP monitoring plugin

SYNOPSIS
Example http_status service_types config:

  service_types => {
    webcheck => {
      plugin => http_status,
      port => 8080,             # default 80
      url_path => /checkme      # default '/'
      vhost => www.example.com  # default none
      ok_codes => [ 200, 301 ], # default [ 200 ]
      up_thresh => 20,
      ok_thresh => 10,
      down_thresh => 10,
      interval => 10,
      timeout => 3,
    }
  }

DESCRIPTION
gdnsd-plugin-http_status is a monitoring plugin that checks basic HTTP service.

PARAMETERS

port
    The numeric port number to connect on, default 80.

url_path
    The string URL to GET from the remote service, default "/"

vhost
    The string hostname to supply as a "Host:" header with the request. No default. If unspecified, no "Host:" header is sent at all.

ok_codes
    An array of integer HTTP status codes which are acceptable as positive responses. The default is "[ 200 ]".

SEE ALSO
gdnsd.config(5), gdnsd.zonefile(5), gdnsd(8)

The gdnsd manual.

COPYRIGHT AND LICENSE
Copyright (c) 2014 Brandon L Black <blblack@gmail.com>

This file is part of gdnsd.

gdnsd is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

gdnsd is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with gdnsd. If not, see <http://www.gnu.org/licenses/>.